Subject: Re: [PATCH v2] CodingGuidelines: explicitly allow "local" for test scripts

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 May 2021 08:55:20 +0900

"brian m. carlson" <[email-masked]> writes:

> One of the main reasons the Austin Group is having trouble standardizing
> it is because some shells implement it with lexical scoping and some use
> dynamic scoping, but if we try not to make too many assumptions, we'll
> probably be okay.

Thanks for raising that one.  As long as we make sure that our
script would work with anybody's "local", I do not care very much.
I just didn't think we want to spend the effort to explain that in
the documentation and enforce it---compared to the effort, just
saying "no" is certainly easier.

But if somebody wants an incremental patch on top to spell out how
"local" is allowed to be used in our scripts, that's fine by me.